Mail archive
alpine-aports

Re: [alpine-aports] [PATCH] testing/autocutsel: new aport

From: Steeve Chailloux <steeve_at_chaahk.com>
Date: Mon, 28 Mar 2016 22:24:35 +0100

From c4477e905b4b69b82aa6beb40b95fb0658ca7f13 Mon Sep 17 00:00:00 2001
From: Steeve Chailloux <steeve_at_chaahk.com>
Date: Mon, 28 Mar 2016 17:35:48 +0100
Subject: [PATCH] testing/autocutsel

http://www.nongnu.org/autocutsel/
automated xcutsel
---
 testing/autocutsel/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/autocutsel/APKBUILD
diff --git a/testing/autocutsel/APKBUILD b/testing/autocutsel/APKBUILD
new file mode 100644
index 0000000..cfc7a83
--- /dev/null
+++ b/testing/autocutsel/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Steeve Chailloux <steeve_at_chaahk.com>
+# Maintainer: Steeve Chailloux <steeve_at_chaahk.com>
+pkgname=autocutsel
+pkgver=0.10.0
+pkgrel=0
+pkgdesc="automated xcutsel"
+url="http://www.nongnu.org/autocutsel/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev libx11-dev libxaw-dev"
+subpackages=""
+source="https://github.com/sigmike/autocutsel/releases/download/$pkgver/$pkgname-$pkgver.tar.gz"
+
+_builddir=$srcdir/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr --mandir=/usr/share/man || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7d5b96e5f7b79b883d8350f104043366  autocutsel-0.10.0.tar.gz"
+sha256sums="a2376330aa1a65f36621595a5a4eb5c2cabc16854b69d66c285f11f89bd05e3f  autocutsel-0.10.0.tar.gz"
+sha512sums="2d9b7114fde67ee217ceee673e32b407eef5b266a9d457a83b35d1c6227e5873cc7928aa10f7d84ce5e8c78d4940ee29985696f49b4015269584f1559f6b6d1d  autocutsel-0.10.0.tar.gz"
-- 
2.6.6




---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 28 2016 - 22:24:35 GMT